POST
/v1/auth/enchantedlink/update/phone/sms

Authorization

Descope Project ID:Refresh JWT
AuthorizationBearer <token>

Project ID:Refresh JWT as bearer token.

In: header

Request Body

application/json

loginId*string
Length1 <= length
phone*string
Length1 <= length
redirectUrl?string
addToLoginIDs?boolean
Defaultfalse
onMergeUseExisting?boolean
Defaultfalse
providerId?string
Lengthlength <= 254
templateOptions?object
locale?string
Lengthlength <= 254
failOnConflict?boolean

Use to update phone and validate via enchanted link using SMS

curl -X POST "https://api.descope.com/v1/auth/enchantedlink/update/phone/sms" \  -H "Content-Type: application/json" \  -d '{    "loginId": "string",    "phone": "string"  }'
{  "pendingRef": "string",  "linkId": "string",  "maskedPhone": "string"}
export interface Response {pendingRef?: stringlinkId?: stringmaskedPhone?: string}
Was this helpful?